Bug 13923 - Install on Ultra1 with TurboGX Gfx Causes Traceback
Install on Ultra1 with TurboGX Gfx Causes Traceback
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
sparc Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Depends On:
  Show dependency treegraph
Reported: 2000-07-13 18:23 EDT by Jeremy Katz
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-09-14 14:16:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2000-07-13 18:23:41 EDT
On an install on a Sun Ultra1 with a TurboGX graphics board, both graphical
and text mode installers fail.  Graphical installer fails just prior to X
startup and text when you reach X configuration.  Traceback follows:

File "/usr/lib/anaconda/text.py", line 356 in __call__
	todo.x.probe(probeMonitor = 0) 
File "/usr/lib/anaconda/xf86config.py", line 764 in probe 
File "/usr/lib/anaconda/xf86config.py", line 658 in cards 
	card = cards[thecard]
KeyError: Sun Turbo GX

According to dmesg, the framebuffer is a cgsix TEC Rev 4 CPU sparc Rev b
Comment 1 Frank Sweetser 2000-07-19 12:01:27 EDT
Almost identical fault on Ultra 10 with Creator 3D video card.
KeyError: Sun FFB2+ Vertical Creator 3D

Poking around in the debugger, it looks like it simply doesn't have an entry in
the cards array for either of the adapters, and (more importantly!) doesn't
handle the exception gracefully.
Comment 2 Michael Fulbright 2001-09-14 14:16:45 EDT
SPARC is not a supported platform.

Note You need to log in before you can comment on or make changes to this bug.